// @import url("https://fonts.googleapis.com/css?family=Source+Sans+Pro:600,500,400,300");
@import url('https://fonts.googleapis.com/css?family=Roboto:400,500,700');

*{
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-family: $font;
	// font-weight: $font-normal;
	// font-size: 12px;
	-webkit-font-smoothing: antialiased;
	text-shadow: 1px 1px 1px rgba( 0, 0, 0, 0.004 );
	outline: none;
	text-decoration: none;
	-webkit-overflow-scrolling: touch;
}

html,
body{
	width: 100%;
	// overflow: auto;
}

body {
	font-family: $font;
}

.white-background {
	background: $white-back;
}

b{
	font-family: $font-bold;
	font-weight: 400;
}

/* IE Fix for tap delay and webkit tap highlight fix */

/* stylelint-disable  property-no-vendor-prefix, no-indistinguishable-colors */

/* Browser Reset */

a,
label,
input,
button{
	-ms-touch-action: manipulation;
	-webkit-tap-highlight-color: rgba( 0, 0, 0, 0 );
}

:global {

	.rupee:before {
		content: "\20B9";
		display: inline-block;
		vertical-align: baseline;
		// font-size: 14px;
		// font-weight: 400;
		line-height: 1.5;
		position: relative;
		top: 1px;
		right: 1px;
		font-family: $font-light;
	}
}

/*----------  Spacing utilities  ----------*/

$spaceamounts: (0, 5, 10, 15, 20, 25, 30);
$sides: (top, bottom, left, right);

@each $space in $spaceamounts {
	@each $side in $sides {
		.m-#{str-slice($side, 0, 1)}-#{$space} {
			margin-#{$side}: #{$space}px !important;
		}

		.p-#{str-slice($side, 0, 1)}-#{$space} {
			padding-#{$side}: #{$space}px !important;
		}
	}
}

@each $space in $spaceamounts {
	.m-#{$space} {
		margin: #{$space}px !important;
	}

	.p-#{$space} {
		padding: #{$space}px !important;
	}
}

/* stylelint-enable  */
